Page 22 of 25

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Sat Dec 16, 2017 10:25 pm
by cmb
Hartmut wrote:Test Plugin Pictures Version: 1.0.2 mit dem XH 1.7 Workaround
[…]
Plugin Sprache änderbar und speicherbar? => nach "speichern": "white Screen" + Fehlermeldung xamp:
[16-Dec-2017 10:39:49 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\pictures\languages\de.php on line 26
Sehr interessant! Das Plugin verwendet teilweise den englischen Sprachtext unmodifiziert als Schlüssel der Sprachvariablen. In einem Sprachtext kommt ein Apostroph vor ("I'm sure.") Beim Speichern werden aber die Schlüssel nicht maskiert, weil das traditionell nicht erforderlich ist, da i.d.R. dort keine Sonderzeichen vorkommen (außer Unter- und Bindestrichen). Da stellt sich die Frage: Bug in CMSimple_XH oder im Plugin?

Ich neige dazu, das eher als Bug im Plugin einzustufen, da solche "Klartext"-Schlüssel ohnehin wenig sinnvoll sind, wenn man bedenkt, dass bei der Bearbeitung der Sprachdatei im Backend der Anfang des Schlüssels (bis zum ersten Unterstrich) als Kategorie interpretiert wird, und solche "Klartext"-Schlüssel eigentlich für CMSimple_XH keinen Mehrwert haben – im Gegensatz zu anderen Internationalisierungstools, bei denen im Fall einer fehlenden Lokalisierung eben direkt der Schlüssel verwendet wird – CMSimple_XH verwendet statt dessen default.php.

Ein möglicher Quickfix für Pictures wäre, den entsprechenden Schlüssel in den Sprachdateien in 'confirmation' zu ändern, und das auch an den beiden Stellen, wo dieser in admin.php verwendet wird, ebenfalls zu tun.

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Sun Dec 17, 2017 10:44 am
by Hartmut
Hallo Christoph,
cmb wrote:
Hartmut wrote:Test Plugin Pictures Version: 1.0.2 mit dem XH 1.7 Workaround
[…]
Plugin Sprache änderbar und speicherbar? => nach "speichern": "white Screen" + Fehlermeldung xamp:
[16-Dec-2017 10:39:49 Europe/Berlin] PHP Parse error: syntax error, unexpected 'm' (T_STRING), expecting ']' in C:\xampp\htdocs\plugins\pictures\languages\de.php on line 26
Sehr interessant! Das Plugin verwendet teilweise den englischen Sprachtext unmodifiziert als Schlüssel der Sprachvariablen. In einem Sprachtext kommt ein Apostroph vor ("I'm sure.") Beim Speichern werden aber die Schlüssel nicht maskiert, weil das traditionell nicht erforderlich ist, da i.d.R. dort keine Sonderzeichen vorkommen (außer Unter- und Bindestrichen). Da stellt sich die Frage: Bug in CMSimple_XH oder im Plugin?

Ich neige dazu, das eher als Bug im Plugin einzustufen, da solche "Klartext"-Schlüssel ohnehin wenig sinnvoll sind, wenn man bedenkt, dass bei der Bearbeitung der Sprachdatei im Backend der Anfang des Schlüssels (bis zum ersten Unterstrich) als Kategorie interpretiert wird, und solche "Klartext"-Schlüssel eigentlich für CMSimple_XH keinen Mehrwert haben – im Gegensatz zu anderen Internationalisierungstools, bei denen im Fall einer fehlenden Lokalisierung eben direkt der Schlüssel verwendet wird – CMSimple_XH verwendet statt dessen default.php.

Ein möglicher Quickfix für Pictures wäre, den entsprechenden Schlüssel in den Sprachdateien in 'confirmation' zu ändern, und das auch an den beiden Stellen, wo dieser in admin.php verwendet wird, ebenfalls zu tun.
danke für die Recherche und ich würde es eher als ein Bug des Plugins News und Pictures sehen.

Das Problem des Apostrophs gibt es im Plugin News Version 1.1.1 jeweils 2x in der admin.php und in allen 4 Sprachdateien und beim Plugin Pictures Version 1.0.2 in der admin.php und in den beiden Sprachdateien.

Ich habe die beiden Fehler (XH 1.7 Kompatibilität und "Whitesreen") lokal (xampp) gefixt und danach ist mir bei dem Plugin nur noch aufgefallen, das beim speichern der Sprachdateien alle auskommentierten Zeilen gelöscht werden, was ich allerdings nicht weiter verfolgt habe.

Eine korrigierte (gefixte) Version vom News Plugin und Pictures Plugin habe ich im Downloadbereichveröffentlicht.

Viele Grüße
Hartmut

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Sun Dec 17, 2017 11:35 am
by cmb
Hartmut wrote:Ich habe die beiden Fehler (XH 1.7 Kompatibilität und "Whitesreen") lokal (xampp) gefixt und danach ist mir bei dem Plugin nur noch aufgefallen, das beim speichern der Sprachdateien alle auskommentierten Zeilen gelöscht werden, was ich allerdings nicht weiter verfolgt habe.
Das ist normal. Beim Speichern der Konfigurations- und Sprachdateien, werden die Dateiinhalte immer aus den Daten komplett neu generiert, so dass eben Kommentare entfernt werden. Da sehe ich aber auch kein Problem, da diese Dateien eben primär für die Bearbeitung im Backend vorgesehen sind (und nur sekundär für die manuelle Bearbeitung).

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Sun Dec 17, 2017 7:48 pm
by lck
Hartmut wrote:Test Plugin News Version: 1.1.1 mit dem XH 1.7 Workaround
Es gibt auch eine überarbeitete Version 1.7 von knollsen, siehe auch hier.

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Mon Dec 18, 2017 6:12 pm
by Hartmut
lck wrote:
Hartmut wrote:Test Plugin News Version: 1.1.1 mit dem XH 1.7 Workaround
Es gibt auch eine überarbeitete Version 1.7 von knollsen, siehe auch hier.
Danke für den Hinweis.
Ich habe mir die Plugin News Version 1.7 heruntergeladen, kurz angetestet und habe noch ein paar Anmerkungen bzw. Wünsche. ;-)
Vielleicht könnte knollsen sie bei seiner nächsten Version berücksichten?

news/help/help_en.htm
Wird die Hilfe noch an die aktuelle Version 1.7 angepasst?
Bspw.: "Version: This is currently version 1.1.1 of the plugin, released 27th October 2014." => Die neue Version 1.7 wird nicht erwähnt.
"CMSimple XH 1.5 or higher (recommended)" => Beinhaltet dies auch die XH Version 1.6 und 1.7?
Changelog:
Die Version 1.7 ist nicht aufgeführt

news/LICENSE.md
Auflistung des aktuellen Autors (2017 I.Sell <knollsen@gmx.net>) nicht gefunden.

Bereinigung des "White Screens" beim speichern der Sprachdatei im Backend. (Details zum Bugfixing in der Datei
"Plugin_news_1-1-1_mit-XH1.7-Workaround.zip" auf http://cmsimplexh.webdesign-keil.de/?Er ... s/Download )

Im Backend werden auf der Startseite des Plugins nicht die aktuellen Informationen angezeigt :
Version: 1.1.1
Released: 27th October 2014
Author: David Stutz

Viele Grüße
Hartmut

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Mon Dec 18, 2017 8:46 pm
by SiNiTaSa
Hallo Hartmut,
Ich habe mir die Plugin News Version 1.7 heruntergeladen, kurz angetestet und habe noch ein paar Anmerkungen bzw. Wünsche. ;-)
Vielleicht könnte knollsen sie bei seiner nächsten Version berücksichten?

news/help/help_en.htm
Wird die Hilfe noch an die aktuelle Version 1.7 angepasst?
Bspw.: "Version: This is currently version 1.1.1 of the plugin, released 27th October 2014." => Die neue Version 1.7 wird nicht erwähnt.
"CMSimple XH 1.5 or higher (recommended)" => Beinhaltet dies auch die XH Version 1.6 und 1.7?
Changelog:
Die Version 1.7 ist nicht aufgeführt

news/LICENSE.md
Auflistung des aktuellen Autors (2017 I.Sell <knollsen@gmx.net>) nicht gefunden.

Bereinigung des "White Screens" beim speichern der Sprachdatei im Backend. (Details zum Bugfixing in der Datei
"Plugin_news_1-1-1_mit-XH1.7-Workaround.zip" auf http://cmsimplexh.webdesign-keil.de/?Er ... s/Download )

Im Backend werden auf der Startseite des Plugins nicht die aktuellen Informationen angezeigt :
Version: 1.1.1
Released: 27th October 2014
Author: David Stutz

Viele Grüße
Hartmut


danke für die Anregungen......
wir werden versuchen diese zu berücksichtigen und zu verbessern.

Ich weis nur nicht, ob wir dieses Jahr noch mit der Umsetzung dazu kommen werden.

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Tue Dec 19, 2017 7:55 pm
by Hartmut
SiNiTaSa wrote: ...
danke für die Anregungen......
wir werden versuchen diese zu berücksichtigen und zu verbessern.

Ich weis nur nicht, ob wir dieses Jahr noch mit der Umsetzung dazu kommen werden.
Ich freue mich auf die neue und verbesserte Version, damit sie dann in der Plugin Dokumentation berücksichtigt werden kann.
Viele Grüße
Hartmut

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Tue Dec 19, 2017 7:56 pm
by Hartmut
Test Plugin Facebook_XH Version: 1.0 beta3 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Facebook 1.0beta3
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf auf der Seite: Funktioniert fehlerfrei
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja
Weitere Anmerkungen:
Workaround: Die original Datei admin.php (0 KB) der Plugin Version wurde durch die admin.php (1,26 KB) von Tata ersetzt.
Eine korrigierte (gefixte) Version vom Facebook Plugin mit einem funktionierenden Workaround für XH 1.7 ist im Downloadbereich verfügbar.

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Sat Dec 23, 2017 2:41 pm
by Hartmut
Test Plugin Monorder Version: 1.0 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Monorder 1.0
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja

Weitere Anmerkungen:
Workaround: Die original Datei admin.php (0 KB) der Plugin Version wurde durch eine minimalistische admin.php (1,26 KB) ersetzt.
Eine korrigierte (gefixte) Version vom Monorder Plugin mit einem funktionierenden Workaround für XH 1.7 ist im Downloadbereich verfügbar.

Viele Grüße
Hartmut

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Posted: Sat Dec 23, 2017 4:41 pm
by Hartmut
Test Plugin Browserupdate_XH Version: 1.0 beta1 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Browserupdate 1.0beta1
Plugin im Admin-Menü sichtbar? => Ja, die Untermenüs (Stylesheet, Konfiguration, Sprache, Hilfe) werden doppelt angezeigt
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja
Weitere Anmerkungen:
Die original Datei admin.php (0 KB) der Plugin Version wurde durch eine minimalistische admin.php (1,26 KB) ersetzt.
Eine korrigierte (gefixte) Version vom Browserupdate Plugin mit einem funktionierenden Workaround für XH 1.7 ist im Downloadbereich verfügbar.

Viele Grüße
Hartmut